Bug 927253 - (CVE-2013-1835) CVE-2013-1835 moodle: Personal information leak through repositories (MSA-13-0018)
CVE-2013-1835 moodle: Personal information leak through repositories (MSA-13-...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130325,reported=2...
: Security
Depends On: 927264 927267 927273
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 09:43 EDT by Jan Lieskovsky
Modified: 2015-08-22 11:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: moodle-2.4.2, moodle-2.3.5, moodle-2.2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-25 09:43:31 EDT
An information disclosure flaw was found in the way Moodle, a course management system, protected access to personal repository content. A remote attacker (with Moodle administrator privilege being able to log in as another user) could use this flaw to obtain access to the content of external repositories of the impersonated user.

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/25/2

Relevant upstream patch:
[2] http://git.moodle.org/gw?p=moodle.git;a=commit;h=31581ae65df05ea64031ac24c8b8f817414f1379
Comment 1 Jan Lieskovsky 2013-03-25 10:01:27 EDT
This issue affects the version of the moodle package, as shipped with Fedora release of 18. Please schedule an update.

--

This issue (probably [*]) affects the versions of the moodle package, as shipped with Fedora release of 17 and Fedora EPEL-6.

[*] Probably because by comparison of aforementioned upstream patch [2] with underlying source code it's not clearly visible that patch would be (directly) applicable to those versions too. But upstream notification at [1] lists also those versions as vulnerable.

--

This issue did NOT affect the version of the moodle package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-03-25 10:18:09 EDT
Created moodle tracking bugs for this issue

Affects: fedora-18 [bug 927264]
Comment 3 Jan Lieskovsky 2013-03-25 10:26:34 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 927267]
Comment 4 Jan Lieskovsky 2013-03-25 10:38:09 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 927273]

Note You need to log in before you can comment on or make changes to this bug.